QRcodly
APITemplate

List predefined templates

Returns a list of system-provided QR code styling templates available to all users. No authentication required. Useful as starting points for custom designs.

GET
/config-template/predefined

Authorization

bearerAuth
AuthorizationBearer <token>

Authenticate with a Bearer token. Pass your API key in the Authorization header: Authorization: Bearer <your-api-key>

In: header

Response Body

application/json

application/json

curl -X GET "https://api.qrcodly.de/api/v1/config-template/predefined"
{
  "page": 0,
  "limit": 0,
  "total": 0,
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z",
      "config": {
        "width": 0,
        "height": 0,
        "margin": 0,
        "image": "string",
        "imageOptions": {
          "hideBackgroundDots": true
        },
        "dotsOptions": {
          "type": "dots",
          "style": {
            "type": "hex",
            "value": "string"
          }
        },
        "cornersSquareOptions": {
          "type": "dot",
          "style": {
            "type": "hex",
            "value": "string"
          }
        },
        "cornersDotOptions": {
          "type": "dot",
          "style": {
            "type": "hex",
            "value": "string"
          }
        },
        "backgroundOptions": {
          "style": {
            "type": "hex",
            "value": "string"
          }
        }
      },
      "createdBy": "string",
      "name": "string",
      "previewImage": "string"
    }
  ]
}
{
  "message": "string",
  "code": 0
}